Package com.tick42.glue.desktop.intents

# Class IntentRequest

java.lang.Object
com.tick42.glue.desktop.intents.IntentRequest

    public final class IntentRequest
    extends Object

Represents a request to raise an intent.

Since:
  1.4.1
See Also:
  `IntentRequest.Builder`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `IntentRequest.Builder` | Builder for `IntentRequest`s.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Optional<IntentContext<?>>` | `getContext()` |
  `String` | `getIntent()` | Returns the name of the intent.
  `Map<String,​Object>` | `getOptions()` |
  `Optional<IntentTarget>` | `getTarget()` | Returns an `Optional` eventually containing Intent request's target.
  `static IntentRequest.Builder` | `intent​(String name)` | Creates an `IntentRequest.Builder` for specified Intent name.
  `String` | `toString()` | Returns `String` representation of this request.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getIntent

    public String getIntent()
    Returns the name of the intent.
    Returns:
      The name of the intent, never `null`.

  - ### getContext

    public Optional<IntentContext<?>> getContext()

  - ### getTarget

    public Optional<IntentTarget> getTarget()
    Returns an `Optional` eventually containing Intent request's target.
    Returns:
      An `Optional` eventually containing request's target, never `null`

  - ### getOptions

    public Map<String,​Object> getOptions()

  - ### toString

    public String toString()
    Returns `String` representation of this request.
    Overrides:
      `toString` in class `Object`
    Returns:
      The `String` representation of this request, never `null`

  - ### intent

    public static IntentRequest.Builder intent​(String name)
    Creates an `IntentRequest.Builder` for specified Intent name.
    Parameters:
      `name` - Intent name, must not be `null`
    Returns:
      An `IntentRequest.Builder`, never `null`